As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 677878 - no jquery action ellement on enabling css3 properties -moz-transform to ellement input[type=file]
: no jquery action ellement on enabling css3 properties -moz-transform to ellem...
Status: VERIFIED FIXED
[qa!]
: verified-aurora, verified-beta
Product: Core
Classification: Components
Component: CSS Parsing and Computation (show other bugs)
: 8 Branch
: All All
: -- major (vote)
: mozilla8
Assigned To: Matt Woodrow (:mattwoodrow)
:
: Jet Villegas (:jet)
Mentors:
http://aquantum-demo.appspot.com/file...
: 678151 (view as bug list)
Depends on:
Blocks: 505115
  Show dependency treegraph
 
Reported: 2011-08-10 05:16 PDT by adminnu
Modified: 2013-12-27 14:25 PST (History)
10 users (show)
khuey: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-


Attachments
Round untransformed rects outwards (1.35 KB, patch)
2011-08-14 21:49 PDT, Matt Woodrow (:mattwoodrow)
roc: review+
Details | Diff | Splinter Review
Round untransformed rects outwards v2 (3.48 KB, patch)
2011-08-15 01:46 PDT, Matt Woodrow (:mattwoodrow)
roc: review+
Details | Diff | Splinter Review

Description User image adminnu 2011-08-10 05:16:38 PDT
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:8.0a1) Gecko/20110809 Firefox/8.0a1
Build ID: 20110809030751

Steps to reproduce:

Nightly http://aquantum-demo.appspot.com/file-upload button to add files ... stopped working in the assembly of 08/09/2010. On all other browsers, the problem is not observed. Perhaps the error is connected with a change in the assembly of 8.08-9.08.
Comment 1 User image Thomas Ahlblom 2011-08-10 13:15:36 PDT
Last good nightly: 2011-08-03
First bad nightly: 2011-08-04

Pushlog:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=3735fb1cd5ef&tochange=be4b064f1159

Local track down:

The first bad revision is:
changeset:   73735:08b756f93436
user:        Matt Woodrow <mwoodrow@mozilla.com>
date:        Wed Aug 03 15:04:21 2011 +1200
summary:     Bug 505115 - Part 8c - Use ray tracing to untransform 2d points on a 3d plane. r=roc

http://hg.mozilla.org/mozilla-central/rev/08b756f93436
Comment 2 User image adminnu 2011-08-10 23:52:53 PDT
Yes, if you unplug. Fileupload-buttonbar. Ui-button input {-moz-transform: translate (-300px, 0pt) scale (4);
problem disappears.
Comment 3 User image Matt Woodrow (:mattwoodrow) 2011-08-14 21:49:32 PDT
Created attachment 553102 [details] [diff] [review]
Round untransformed rects outwards
Comment 4 User image Matt Woodrow (:mattwoodrow) 2011-08-14 21:50:03 PDT
*** Bug 678151 has been marked as a duplicate of this bug. ***
Comment 5 User image Robert O'Callahan (:roc) (email my personal email if necessary) 2011-08-14 22:48:18 PDT
test?
Comment 6 User image Matt Woodrow (:mattwoodrow) 2011-08-15 01:46:13 PDT
Created attachment 553127 [details] [diff] [review]
Round untransformed rects outwards v2

Added test
Comment 7 User image Robert O'Callahan (:roc) (email my personal email if necessary) 2011-08-15 02:25:10 PDT
Comment on attachment 553127 [details] [diff] [review]
Round untransformed rects outwards v2

Review of attachment 553127 [details] [diff] [review]:
-----------------------------------------------------------------

::: layout/base/tests/test_bug677878.html
@@ +41,5 @@
> +  setTimeout(doClick, 300);
> +}
> +
> +function testFinish(event){
> +  ok(1, "We can still interact with the item after it is transformed");

ok(true,
Comment 8 User image Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-08-16 04:13:40 PDT
http://hg.mozilla.org/mozilla-central/rev/91d90510179c
Comment 9 User image adminnu 2011-08-17 21:59:20 PDT
Thanks problem solved.
Comment 10 User image Asa Dotzler [:asa] 2011-09-22 14:49:06 PDT
Matt or Roc, is this needed on Aurora? Not sure about the tracking request here.
Comment 11 User image Robert O'Callahan (:roc) (email my personal email if necessary) 2011-09-22 17:41:23 PDT
Doesn't Aurora already have this fix? This was landed for Mozilla8.
Comment 12 User image christian 2011-10-25 20:32:19 PDT
---------------------------------[ Triage Comment ]---------------------------------

This looks like it already landed for Firefox 8 when it was on mozilla-central so we don't need to track. Adding the dev-doc-needed keyword in case this fix should be called out for web developers.
Comment 13 User image Eric Shepherd [:sheppy] 2011-11-02 10:22:59 PDT
What is this change exactly? I'm unsure from reading this. Is it that transforms were breaking delivery of some event?
Comment 14 User image Matt Woodrow (:mattwoodrow) 2011-11-02 13:58:13 PDT
Yes, the 3D transforms patches included changes to some of the event handling code. This was a regression where click handling within a transformed object was broken.
Comment 15 User image adminnu 2011-11-02 23:31:20 PDT
I recently found another problem. Just configured text will describe it.
Comment 16 User image Eric Shepherd [:sheppy] 2011-11-03 11:12:44 PDT
Removing doc needed flag, since 3D transforms aren't documented yet anyway. That will be handled under another bug.

Note You need to log in before you can comment on or make changes to this bug.